# std::char_traits<CharT>::eof

From cppreference.com
< cpp‎ | string‎ | char traits

static int_type eof(); |  | (until C++11)
static constexpr int_type eof() noexcept; |  | (since C++11)

Returns a value not equivalent to any valid value of type `char_type`.

Formally, returns a value e such that X::eq_int_type(e, X::to_int_type(c)) is `false` for all values c.

### Parameters

(none)

### Return value

A value not equivalent to any valid value of type `char_type`.

### Complexity

Constant.

### See also

not_eof [static] | checks whether a character is eof value (public static member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/char_traits/eof&oldid=109365"